<template>
    <div class="col-lg-7 col-xl-9">
        <div class="tab-content" id="v-pills-tabContent">
            <!-- Dashboard Start -->
            <dashboard-my-account-component
                v-bind:users="JSON.parse(this.user)"
            ></dashboard-my-account-component>
            <!-- Dashboard End -->

            <!-- My Orders Start -->
            <orders-my-account-component
                v-bind:users="JSON.parse(this.user)"
            ></orders-my-account-component>
            <!-- My Orders End -->
            <!-- My Addresses Start -->
            <address-my-account-component
                v-bind:users="JSON.parse(this.user)"
            ></address-my-account-component>
            <!-- My Addresses End -->
            <!-- My Notifications Start -->
            <notifications-my-account-component
                v-bind:users="JSON.parse(this.user)"
            ></notifications-my-account-component>
            <!-- My Notifications End -->
            <!-- My Profile Start -->
            <profile-my-account-component
                v-bind:users="JSON.parse(this.user)"
            ></profile-my-account-component>
            <!-- My Profile End -->
            <!-- My Logout Start -->
            <div
                class="tab-pane fade"
                id="v-pills-logout"
                role="tabpanel"
                aria-labelledby="v-pills-logout-tab"
            >
                <div class="card m-b-30">
                    <div class="card-header">
                        <h5 class="card-title mb-0">Cerrar sesión</h5>
                    </div>
                    <div class="card-body">
                        <div class="row justify-content-center">
                            <div class="col-lg-6 col-xl-6">
                                <div class="logout-content text-center my-5">
                                    <img
                                        src="assets\images\ecommerce\logout.svg"
                                        class="img-fluid mb-5"
                                        alt="logout"
                                    />
                                    <h2 class="text-success">
                                        ¿Cerrar sesión?
                                    </h2>
                                    <p class="my-4">
                                        Estas seguro de que realmente deseas
                                        cerrar sesión.
                                    </p>
                                    <div class="button-list">
                                        <button
                                            type="button"
                                            class="btn btn-danger font-16"
                                            v-on:click.prevent="logout()"
                                        >
                                            <i
                                                class="feather icon-check mr-2"
                                            ></i
                                            >Si, estoy seguro
                                        </button>

                                        <button
                                            type="button"
                                            data-toggle="pill"
                                            href="#v-pills-dashboard"
                                            class="btn btn-success-rgba font-16"
                                        >
                                            <i class="feather icon-x mr-2"></i
                                            >Cancelar
                                        </button>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
            <!-- My Logout End -->
        </div>
    </div>
</template>

<script>
export default {
    props: ["user"],

    mounted() {},
    methods: {
        logout() {
            document.getElementById("logout-form").submit();
        }
    }
};
</script>
